<?php

  // Global Variables, don't touch these unless you want to break the plugin  
  //
  global $notPartOfDomainName, $numberOfDotSections, $useSessionBased,
         $putHostNameOnFrontOfUsername, $checkByExcludeList,
         $at, $dot, $dontUseHostName, $perUserSettingsFile,
         $smHostIsDomainThatUserLoggedInWith, $virtualDomains,
         $sendmailVirtualUserTable, $virtualDomainDataDir,
         $allVirtualDomainsAreUnderOneSSLHost, $debug, $removeFromFront,
         $chopOffDotSectionsFromRight, $chopOffDotSectionsFromLeft,
         $translateHostnameTable, $pathToQmail, $atConversion,
         $removeDomainIfGiven;



  // should vlogin use session-based methods for storing dynamic
  // configuration settings (faster, but requires one source patch)
  // set to 1 for yes, zero for no
  //
  $useSessionBased = 0;



  // list of domain-specific attributes (note that each domain is 
  // specified in this array by any string that is unique to the 
  // virtual host name (not necessarily the whole host name -- 
  // "mydomain" is probably enough to represent "mydomain.com")
  //
  $virtualDomains = array(



//  NOTE: this is a global virtual domain example:
//      '*' => array(
//          'org_title'  => '"Your Mail"',
//          'motd'       => 'Welcome to SquirrelMail!',

//  NOTE: you can use the virtual domain's name in any 
//        of these settings, like this:
//          'org_logo'   => '../images/###VIRTUAL_DOMAIN###_logo.jpg',
//          'org_name'   => '###VIRTUAL_DOMAIN###',
//      ),


//      'domain1' => array( 
//          'org_name'   => 'My Domain 1',
//      ),


//      'domain2' => array(
//          'org_name'   => 'My Domain 2',
//          'org_logo'   => '../images/domain2_image.gif',
//          'org_title'  => '(isset($_SESSION["username"]) ? $_SESSION["username"] . " - Mail" : "Mail")',
//  //  NOTE: The above line is an example of 
//  //        how you can place the user's
//  //        email address in the SquirrelMail
//  //        title bar.
//      ),


//  NOTE: This is how you can block anyone from logging in to
//        SquirrelMail via a particular domain
//      'baddomain' => array(
//          '###LOCKED OUT###' => 'locked_out.php',
//      ),


//  NOTE: What follows are all of the available settings for
//        this plugin.  They need not all be specified.
//
//      'domain3' => array(

//          'numberOfDotSections' => 2,
//          'removeFromFront'     => 0,
//          'checkByExcludeList'  => 1,
//          'at'                  => '@',
//          'dot'                 => '.',
//          'dontUseHostName'     => 0,
//          'perUserSettingsFile' => '',
//          'smHostIsDomainThatUserLoggedInWith'  => 0,
//          'chopOffDotSectionsFromRight'         => 0,
//          'chopOffDotSectionsFromLeft'          => 0,
//          'allVirtualDomainsAreUnderOneSSLHost' => 0,
//          'sendmailVirtualUserTable'            => '',

//          'org_name'          => 'My Domain 3',
//          'org_logo'          => '../images/domain3_image.gif',
//          'org_logo_width'    => '400',
//          'org_logo_height'   => '200',
//          'org_title'         => '"Mail for " . $_SESSION["username"]',
//          'org_title'         => '(isset($_SESSION["username"]) ? "Mail for " . $_SESSION["username"] : "Mail")',
//          'signout_page'      => 'special_signout_page.php',
//          'frame_top'         => '_top',
//          'squirrelmail_default_language' => 'jp_JP',

//  NOTE: You may set data_dir as you like, but below is an
//        example of how you may include the virtual host name
//        in the path: 
//
//          'data_dir'          => '/home/sites/###VIRTUAL_DOMAIN###/data/',


//          'provider_uri'      => 'http://www.squirrelmail.org',
//          'provider_name'     => 'SquirrelMail',

//  NOTE: The following shows how you can include the user's name in the MOTD:
//          'motd' => 'Welcome, <font color="red"><b>' . $_SESSION['username'] . '</b></font>!',

//          'domain'                 => 'mydomain.com',
//          'imapServerAddress'      => 'localhost',
//          'imapPort'               => '143',
//          'useSendmail'            => false,
//          'smtpServerAddress'      => 'localhost',
//          'smtpPort'               => '25',
//          'sendmail_path'          => '/usr/sbin/sendmail',
//          'use_authenticated_smtp' => false,
//          'pop_before_smtp'        => false,
//          'imap_server_type'       => 'courier',
//          'invert_time'            => false,
//          'optional_delimiter'     => '.',

//          'default_folder_prefix'          => 'INBOX.',
//          'trash_folder'                   => 'Trash',
//          'sent_folder'                    => 'Sent',
//          'draft_folder'                   => 'Drafts',
//          'default_move_to_trash'          => true,
//          'default_move_to_sent'           => true,
//          'default_save_as_draft'          => true,
//          'show_prefix_option'             => false,
//          'list_special_folders_first'     => true,
//          'use_special_folder_color'       => true,
//          'auto_expunge'                   => true,
//          'default_sub_of_inbox'           => false,
//          'show_contain_subfolders_option' => false,
//          'default_unseen_notify'          => 2,
//          'default_unseen_type'            => 1,
//          'auto_create_special'            => true,
//          'delete_folder'                  => false,
//          'noselect_fix_enable'            => false,


//  NOTE: You may enable or disable individual plugins
//        on a per-domain basis (beta - please report 
//        problems!).  "enable_plugins" and "disable_plugins" 
//        are keywords that cannot be changed, but add to or 
//        remove these lists as needed (the names in each
//        list should match the exact plugin name (same as 
//        the directory it redsides in)).  Only one of these 
//        lists can be specified (or none), if you only need 
//        one of these functionalities.
//
//          'enable_plugins'                 => array(
//                                                'gpg',
//                                                'secure_login',
//                                             ),
//          'disable_plugins'                => array(
//                                                'addgraphics',
//                                                'change_mysqlpass',
//                                             ),

//      ),

  );


  // $numberOfDotSections setting dictates the size (given in "dot
  // sections") that the hostname should be, while $removeFromFront
  // determines if, in order to reach that size, "dot sections" will
  // be taken off the beginning of the host name (if set to zero,
  // the host name will be trimmed from the end)
  //
  $numberOfDotSections = 2;
  $removeFromFront = 1;


  // $checkByExcludeList should be set to 1 in order to strip out any
  // "dot sections" that match those found in $notPartOfDomainName
  //
  $checkByExcludeList = 1;


  // our "exclude list" of strings that are not usually part of the domain name
  //
  $notPartOfDomainName = array('www'
                               ,'mail'
                               ,'email'
                               ,'webmail');


  // $chopOffDotSectionsFromLeft allows specification of a set number of "dot
  // sections" to be removed from the front of the host name
  //
  $chopOffDotSectionsFromLeft = 0;


  // $chopOffDotSectionsFromRight allows specification of a set number of "dot
  // sections" to be removed from the end of the host name
  //
  $chopOffDotSectionsFromRight = 0;


  // some mail systems won't take the '@' symbol in the login name for virtual
  // host setups.  Change that here:
  //
  $at = '@';


  // also change the '.' symbol if necessary.
  //
  $dot = '.';


  // if your users tend to confuse '@' and '%' in their email
  // addresses, you may specify a list of characters that will,
  // if found in the user name, all be converted to whatever
  // you have specified for the $at setting
  //
  //$atConversion = array('%');
  //$atConversion = array('%', '&');
  $atConversion = array();


  // indicates that username/hostname combination should begin with hostname
  // (such as "domainname.username") instead of typical hostname following the
  // username (such as "username@domain.com")
  //
  $putHostNameOnFrontOfUsername = 0;


  // you can choose not to append the host name to users' login
  // names no matter what by setting this to 1.  This is a very
  // rare use of this plugin, and should usually be left at 0.
  //
  $dontUseHostName = 0;


  // Additionally, you can make sure your users' outgoing emails
  // come from the domain they used to log in if you set this
  // $smHostIsDomainThatUserLoggedInWith to 1.  
  // NOTE that you'll typically only need to do this if you are
  // using $dontUseHostName = 1
  //
  $smHostIsDomainThatUserLoggedInWith = 0;


  // If users log in with a full email address, you can strip
  // off the domain information, leaving just the username.
  // The domain name parsed out of the URL by this plugin
  // will be added back to the username unless you use the
  // $dontUseHostName functionality
  //
  $removeDomainIfGiven = 0;


  // Override the SquirrelMail $data_dir here, and optionally
  // include the virtual domain name as part of the path (indicated
  // by the constant "###VIRTUAL_DOMAIN###") (you may also do this
  // on a per-host basis in the array above)
  //
  //$virtualDomainDataDir = '/home/squirrelmail/data/';
  //$virtualDomainDataDir = '/home/sites/###VIRTUAL_DOMAIN###/data/';
  $virtualDomainDataDir = '';

  
  // For sites that host all virtual domains off of a single host
  // URL (commonly used for SSL implementations using just one
  // certificate for all hosts), where URLs look like:
  // http://www.onedomain.com/virtualdomain.com/mail
  // set this value to 1; otherwise, leave set to zero
  //
  $allVirtualDomainsAreUnderOneSSLHost = 0;

  
  // this is the path to the sendmail virtual user table, which 
  // should be empty if you are not using sendmail or such a table
  // to remap user logins
  //
  //$sendmailVirtualUserTable = '/etc/mail/virtusertable';
  $sendmailVirtualUserTable = '';


  // this is the path to the hostname translation table, which
  // should be empty if you do not need to remap the domain
  // host name that your users will be logging in from
  //
  //$translateHostnameTable = '/path/to/squirrelmail/plugins/vlogin/hostmap.dat';
  $translateHostnameTable = '';


  // this is the path to Qmail.  It should *only* be specified
  // if you are using Qmail/Vpopmail aliased domains and want to 
  // prevent users of aliased domains from logging in to a domain 
  // alias, accidentally creating more than one preferences file 
  // for themselves.  Otherwise, please leave this as an empty string.
  //
  // Also, when using this functionality, please verify that the user
  // you run httpd with is able to read the file ~qmail/users/assign
  //
  //$pathToQmail = '/var/qmail';
  $pathToQmail = '';


  // specify per-user settings in a separate file, if needed - the
  // the path to that file is given here (empty string if not used)
  //
  //$perUserSettingsFile = '/path/to/squirrelmail/plugins/vlogin/users.dat';
  $perUserSettingsFile = '';


  // turn this on to test your configuration settings - the final
  // IMAP login value will be presented after all processing has
  // been completed
  //
  $debug = 0;


?>
