<?php

function squirrelmail_plugin_init_vlogin() {

  global $squirrelmail_plugin_hooks;


  $squirrelmail_plugin_hooks['login_before']['vlogin'] = 'vlogin_domain';


  // yes, this is all necessary, in order to offer 
  // standard functionality to present, but also to
  // offer functionality that will be more like what
  // we'll be moving toward... after the move is
  // complete, we won't need to have any dynamic
  // code here:
  //
  if (defined('SM_PATH'))
     include_once(SM_PATH . 'plugins/vlogin/data/config.php');
  else
     include_once('../plugins/vlogin/data/config.php');


  global $useSessionBased;
  if ($useSessionBased)
  {

     $squirrelmail_plugin_hooks['login_cookie']['vlogin'] = 'vlogin_overrideSmConfig';

     // unfortunately, we can only set org_title in the title 
     // bar of the browser if we use this hook - otherwise, it's 
     // unecessary
     //
     $squirrelmail_plugin_hooks['webmail_top']['vlogin'] = 'vlogin_overrideSmConfig';

  }
  else
  {

     if (defined('SM_PATH'))
        include_once(SM_PATH . 'plugins/vlogin/functions.php');
     else
        include_once('../plugins/vlogin/functions.php');

     overrideSmConfig();

  }


}


function vlogin_domain() {

  if (defined('SM_PATH'))
     include_once(SM_PATH . 'plugins/vlogin/functions.php');
  else
     include_once('../plugins/vlogin/functions.php');

  vlogin_domain_do();

}


function vlogin_overrideSmConfig() {

  if (defined('SM_PATH'))
     include_once(SM_PATH . 'plugins/vlogin/functions.php');
  else
     include_once('../plugins/vlogin/functions.php');

  overrideSmConfig();

}


function vlogin_version() {

  return '3.3';

}

?>
